;----------------------------------------------------------------------------
;                               GRAY4LIB
;                           by Ben Sferrazza
;
;             Thank you Rob Taylor for such a tremendous idea.
;
;----------------------------------------------------------------------------
; GrayInit = $0010
;----------------------------------------------------------------------------
; Initializes a 1024-byte block, used by the 4-grayscale interrupt handler,
; which it loads.
;
; Calling Registers:      None
;  Return Registers:      Carry flag clear if successful
;                           HL  Pointer to second 1024-byte page
;                           AF  Destroyed
;                           DE  Destroyed
;                         Carry flag set if error
;                           HL  Destroyed
;                           AF  Destroyed
;                           DE  Destroyed
;----------------------------------------------------------------------------

;----------------------------------------------------------------------------
GrayOff = $0013
;----------------------------------------------------------------------------
; Disables 4-Grayscale interrupt handler and re-initializes regular video
; state (black and white)
;
; Calling Registers:        None
;  Return Registers:        AF  Destroyed
;----------------------------------------------------------------------------
