#include rigel.h
#include gray4lib.h

  @library

Title:
  @title(BGlib v1.0)

  @lib(gray4lib)

  jp @BGInterface

BGInterface:
  ld (@SaveHL + 1), hl
  call CLEARLCD
  ld hl, $0500
  ld (CURSOR_ROW), hl
  ld hl, @Title
  call D_ZT_STR
  ld hl, VIDEO_MEM
  call @DrawBar
  ld hl, $0303
  ld (CURSOR_ROW), hl
  ld hl, @LoadStr
  call D_ZT_STR
  ld hl, $0105
  ld (CURSOR_ROW), hl
  ld hl, @DisableStr
  call D_ZT_STR
Selection:
  ld hl, $fd80
  call @DrawBar
Readkey:
  call GET_KEY
  ld hl, (@Selection + 1)
  cp $04
  jr z, Move
  cp $01
  jr z, Move
  cp $09
  jr z, Enter
  cp $37
  ret z
  jr Readkey

Move:
  call @DrawBar
  ld hl, @Selection+2
  ld a, %00000011
  xor (hl)
  ld (hl), a
  dec hl
  call LD_HL_MHL
  call @DrawBar
  jr Readkey

Enter:
  ld de, $fe80
  call CP_HL_DE
  ld hl, $0407
  ld (CURSOR_ROW), hl
  jr z, Remove
  call @GrayInit:1
  jr nc, Success
  ld hl, @Error
  call D_ZT_STR
  jr Readkey
Success:
  ex de, hl
SaveHL:
  ld hl, $0000
  ld bc, 1024
  ldir
  jr PrintOver
Remove:
  call @GrayOff:1
PrintOver:
  ld hl, @GoodStr
  call D_ZT_STR
  jr Readkey
  
DrawBar:
  ld b, $70
Bar:
  ld a, $ff
  xor (hl)
  ld (hl), a
  inc hl
  djnz Bar
  ret

LoadStr:
  .db "Load Background", 0
DisableStr:
  .db "Disable Background", 0
Error:
  .db "Error Loading", 0
GoodStr:
  .db "   Success   ", 0

.end
